[toozifier](../../index.md) / [tooz.bto.toozifier](../index.md) / [Toozifier](./index.md)

# Toozifier

`interface Toozifier`

Main interface that enables 3rd party apps communication to the tooz glasses
through the tooz control App app.

### Properties

| Name | Summary |
|---|---|
| [isRegistered](is-registered.md) | `abstract val isRegistered: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
| [isSubscribedToAudio](is-subscribed-to-audio.md) | `abstract val isSubscribedToAudio: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
| [state](state.md) | `abstract val state: `[`ToozerState`](../-toozer-state/index.md) |

### Functions

| Name | Summary |
|---|---|
| [addListener](add-listener.md) | `abstract fun addListener(listener: `[`ToozifierListener`](../-toozifier-listener.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Adds a new listener to this toozifier. |
| [deregister](deregister.md) | `abstract fun deregister(): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Deregisters the client from the tooz control App service. |
| [deregisterFromSensorData](deregister-from-sensor-data.md) | `abstract fun deregisterFromSensorData(vararg sensors: `[`Sensor`](../../tooz.bto.toozifier.sensors/-sensor/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Requests tooz control App to deregister from receiving sensor data. |
| [register](register.md) | `abstract fun register(context: `[`Context`](https://developer.android.com/reference/android/content/Context.html)`, appName: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, registrationListener: `[`RegistrationListener`](../../tooz.bto.toozifier.registration/-registration-listener/index.md)`, cardColor: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)<br>Registers the client with the tooz control App service. If successful, the client will be able to receive all events related to the glasses.`abstract fun register(context: `[`Context`](https://developer.android.com/reference/android/content/Context.html)`, appName: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, registrationListener: `[`RegistrationListener`](../../tooz.bto.toozifier.registration/-registration-listener/index.md)`): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
| [registerForSensorData](register-for-sensor-data.md) | `abstract fun registerForSensorData(vararg sensors: `[`Pair`](https://developer.android.com/reference/android/util/Pair.html)`<`[`Sensor`](../../tooz.bto.toozifier.sensors/-sensor/index.md)`, `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`>): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Requests tooz control App to register for receiving sensor data from the glasses. |
| [removeCard](remove-card.md) | `abstract fun removeCard(): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Removes the card of this app from the stack. |
| [removeListener](remove-listener.md) | `abstract fun removeListener(listener: `[`ToozifierListener`](../-toozifier-listener.md)`): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)<br>Removes a listener from this toozifier. |
| [requestPrompt](request-prompt.md) | `abstract fun requestPrompt(): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Request to bring the card to the front slot. |
| [runFeature](run-feature.md) | `abstract fun runFeature(uri: `[`URI`](https://developer.android.com/reference/java/net/URI.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Runs a feature specified with an uri |
| [sendFrame](send-frame.md) | `abstract fun sendFrame(view: `[`View`](https://developer.android.com/reference/android/view/View.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Extracts a snapshot frame from the [view](send-frame.md#tooz.bto.toozifier.Toozifier$sendFrame(android.view.View)/view) and sends it to glasses. The image will be displayed for a maximum of [timeToLive](#) milliSeconds. After that it will disappear. If successful, the client will be granted control of the glasses.`abstract fun sendFrame(view: `[`View`](https://developer.android.com/reference/android/view/View.html)`, timeToLive: `[`Long`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html)` = Constants.FRAME_TIME_TO_LIVE_FOREVER): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Extracts a snapshot frame from the [view](send-frame.md#tooz.bto.toozifier.Toozifier$sendFrame(android.view.View, kotlin.Long)/view) and sends it to glasses. The image will be displayed for a maximum of [timeToLive](send-frame.md#tooz.bto.toozifier.Toozifier$sendFrame(android.view.View, kotlin.Long)/timeToLive) milliSeconds. After that it will disappear. If successful, the client will be granted control of the glasses.`abstract fun sendFrame(bitmap: `[`Bitmap`](https://developer.android.com/reference/android/graphics/Bitmap.html)`, timeToLive: `[`Long`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html)` = Constants.FRAME_TIME_TO_LIVE_FOREVER): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Sends the given bitmap to glasses to be displayed for a maximum of [timeToLive](send-frame.md#tooz.bto.toozifier.Toozifier$sendFrame(android.graphics.Bitmap, kotlin.Long)/timeToLive) milliseconds. After that it will disappear. If successful, the client will be granted control of the glasses. |
| [startAudio](start-audio.md) | `abstract fun startAudio(maxDuration: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)` = 10): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Requests tooz control App to send audio packets to this client. This call can only be successful if the client is already in control of the glasses. |
| [stopAudio](stop-audio.md) | `abstract fun stopAudio(): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Stops the flow of audio data to this client, if the audio has been successfully requested before. |
| [updateCard](update-card.md) | `abstract fun updateCard(promptView: `[`View`](https://developer.android.com/reference/android/view/View.html)`, focusView: `[`View`](https://developer.android.com/reference/android/view/View.html)`, timeToLive: `[`Long`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html)` = Constants.FRAME_TIME_TO_LIVE_FOREVER): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Extracts a snapshot frame from the two views and uses them to update the card of this app. The focus view will be valid for a maximum of [timeToLive](update-card.md#tooz.bto.toozifier.Toozifier$updateCard(android.view.View, android.view.View, kotlin.Long)/timeToLive) milliSeconds. If successful, the client will be granted control of the glasses.`abstract fun updateCard(promptView: `[`Bitmap`](https://developer.android.com/reference/android/graphics/Bitmap.html)`, focusView: `[`Bitmap`](https://developer.android.com/reference/android/graphics/Bitmap.html)`, timeToLive: `[`Long`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html)` = Constants.FRAME_TIME_TO_LIVE_FOREVER): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Uses the two views to update the card of this app. The focus view will be valid for a maximum of [timeToLive](update-card.md#tooz.bto.toozifier.Toozifier$updateCard(android.graphics.Bitmap, android.graphics.Bitmap, kotlin.Long)/timeToLive) milliSeconds. If successful, the client will be granted control of the glasses.<br>**In-depth explanation [here](update-card.md).** |